Storyden
Robots

Update a robot

Update a Robot's name, description, playbook or available tools.

PATCH/robots/{robot_id}

Update a Robot's name, description, playbook or available tools.

storyden-session<token>

In: cookie

Path Parameters

robot_id*string

Robot ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://example.com/robots/cc5lnd2s1s4652adtu50" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "cc5lnd2s1s4652adtu50",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "deletedAt": "2019-08-24T14:15:22Z",
  "misc": {},
  "name": "string",
  "description": "string",
  "playbook": "string",
  "model": "openai/gpt-4.1-mini",
  "workspace_id": "cc5lnd2s1s4652adtu50",
  "author": {
    "id": "cc5lnd2s1s4652adtu50",
    "joined": "2019-08-24T14:15:22Z",
    "suspended": "2019-08-24T14:15:22Z",
    "handle": "Southclaws",
    "name": "Barnaby Keene",
    "signature": "<body><p>Sent with love from London!</p></body>",
    "roles": [
      {
        "badge": true,
        "default": true,
        "id": "cc5lnd2s1s4652adtu50",
        "name": "string",
        "colour": "string",
        "meta": {}
      }
    ]
  },
  "tools": [
    "string"
  ],
  "meta": {}
}
Empty
Empty
Empty
{
  "type": "string",
  "title": "string",
  "detail": "string",
  "trace_id": "string",
  "metadata": {}
}